#include <bits/stdc++.h>

using namespace std;

int main()
{
    unsigned long long int x, y, z = 0;
    cin >> x >> y;

    if(x < y){
        swap(x, y);
    }

    for(int i = 0; x > 0; i++){
        if(x % 10 == y % 10 && y > 0){
            z += x % 10 * pow(10,i);
            i++;
            z += x % 10 * pow(10,i);
        }
        else{
            z += max(x % 10 , y % 10) * pow(10,i);
        }
        x /= 10;
        y /= 10;
    }

    cout << z;

    return 0;
}